import { useTheme } from '@/components/ThemeContext';
import { CustomHeader } from '@/components/ui/Header';
import EServicesCategoryScreen from '@/screens/e-services/ui/EServicesCategoryScreen';
import { SafeAreaView } from 'react-native-safe-area-context';

export default function EServices() {
  const { isDark } = useTheme();
  return (
    <SafeAreaView
      style={{ flex: 1, backgroundColor: isDark ? '#0f172a' : '#ffffff', paddingBottom: 80 }}
      edges={['top']}
    >
      <CustomHeader />
      <EServicesCategoryScreen />
    </SafeAreaView>
  );
}
